﻿/**Begin D:\PDM_UPGRADE\PDM1\BASTAX_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FTAXORGAN') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FTAXORGAN BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FPROJECTLOCATION') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FPROJECTLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FGROUPID') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FZSFS') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FZSFS VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FSYSLZSL') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FSYSLZSL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FSYJHJSFF') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FSYJHJSFF CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FCBFQ') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FCBFQ VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BASTAX_TAXPROJECT' AND KSQL_COL_NAME ='FSWQSYTFL') 
 ALTER TABLE T_BASTAX_TAXPROJECT ADD (FSWQSYTFL VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTGROUP') 
 CREATE TABLE T_BASTAX_TAXPROJECTGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTGROUP_L') 
 CREATE TABLE T_BASTAX_TAXPROJECTGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTSDS') 
 CREATE TABLE T_BASTAX_TAXPROJECTSDS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FYJMLL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDSYXQQ DATETIME,
FSDSYXQZ DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_TAXPROJECTSWYT') 
 CREATE TABLE T_BASTAX_TAXPROJECTSWYT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSWYT VARCHAR(50) DEFAULT ' ' NOT NULL,
FYZL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYXQQ DATETIME,
FYXQZ DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_SALEFORMAT') 
 CREATE TABLE T_BASTAX_SALEFORMAT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASTAX_SALEFORMAT_L') 
 CREATE TABLE T_BASTAX_SALEFORMAT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\BASTAX_table.sql **/
